## ros-galactic-turtlebot3-gazebo 2.2.4

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_gazebo)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(MSVC)
  add_compile_definitions(_USE_MATH_DEFINES)
endif()

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(ament_cmake REQUIRED)
find_package(gazebo REQUIRED)
find_package(gazebo_ros_pkgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)

################################################################################
# Build
################################################################################
link_directories(
  ${GAZEBO_LIBRARY_DIRS}
)

include_directories(
  include
  ${GAZEBO_INCLUDE_DIRS}
)

set(dependencies
  "geometry_msgs"
  "nav_msgs"
  "rclcpp"
  "sensor_msgs"
  "tf2"
)

set(EXEC_NAME "turtlebot3_drive")

add_executable(${EXEC_NAME} src/turtlebot3_drive.cpp)
ament_target_dependencies(${EXEC_NAME} ${dependencies})

add_library(obstacle1 SHARED models/turtlebot3_dqn_world/obstacle_plugin/obstacle1.cc)
target_link_libraries(obstacle1 ${GAZEBO_LIBRARIES})

add_library(obstacle2 SHARED models/turtlebot3_dqn_world/obstacle_plugin/obstacle2.cc)
target_link_libraries(obstacle2 ${GAZEBO_LIBRARIES})

add_library(obstacles SHARED models/turtlebot3_dqn_world/obstacle_plugin/obstacles.cc)
target_link_libraries(obstacles ${GAZEBO_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS ${EXEC_NAME}
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY launch models rviz urdf worlds
  DESTINATION share/${PROJECT_NAME}/
)

install(DIRECTORY include/
  DESTINATION include/
)

################################################################################
# Macro for ament package
################################################################################
ament_export_include_directories(include)
ament_export_dependencies(gazebo_ros_pkgs)
ament_export_dependencies(geometry_msgs)
ament_export_dependencies(nav_msgs)
ament_export_dependencies(rclcpp)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(tf2)
ament_package()

=== debian/changelog ===
ros-galactic-turtlebot3-gazebo (2.2.4-2focal) focal; urgency=high

  * Release for ROS2 Galactic
  * Separate world and robot models(#162)
  * Clean up unncessary files
  * Use turtlebot3_common mesh modeling
  * Independent turtlebot3_simulations package
  * Contributors: Joep Tool, Will Son

 -- Will Son <willson@robotis.com>  Sun, 13 Jun 2021 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (2.2.3-2focal) focal; urgency=high

  * Update required keyword arguments
  * Clear up exec_depend
  * Fix Waffle Pi wheel inertia
  * Contributors: ruffsl, Will Son

 -- Will Son <willson@robotis.com>  Sun, 11 Apr 2021 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (2.2.2-2focal) focal; urgency=high

  * Remove shared objects built in older version
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Tue, 23 Feb 2021 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (2.2.1-2focal) focal; urgency=high

  * Eloquent Elusor EOL
  * Add missing imu joint in sdf
  * Append Gazebo model path
  * Portable fix, launch description revise
  * Ament lint applied
  * Contributors: minwoominwoominwoo7, Rayman, seanyen, ashe kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 12 Jan 2021 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (2.2.0-2focal) focal; urgency=high

  * TurtleBot3 Drive node implementation
  * Additional Gazebo maps added
  * argument tags in the sdf file replaced with remapping tags
  * Low polygon 3D modeling applied for simulation
  * Contributors: Ryan Shim, Mikael Arguedas, Will Son

 -- Will Son <willson@robotis.com>  Sun, 28 Jun 2020 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (2.1.0-2focal) focal; urgency=high

  * Added turtlebot3_house and related world, model files
  * Contributors: Ryan Shim

 -- Will Son <willson@robotis.com>  Mon, 09 Sep 2019 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (2.0.1-2focal) focal; urgency=high

  * Modified dependency packages
  * Modified launch directory
  * Added a launch file for robot state publisher
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (2.0.0-2focal) focal; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (1.3.0-2focal) focal; urgency=high

  * Turtlebot3 Autorace 2020 implemented
  * Remove the plugin_path from gazebo_ros export
  * Remove *nix path separator
  * Contributors: Ashe Kim, Ben Wolsieffer, Sean Yen

 -- Will Son <willson@robotis.com>  Sun, 28 Jun 2020 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (1.2.0-2focal) focal; urgency=high

  * moved <scene> into <world> #65 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/65>
  * modified ML stage
  * delete unused param
  * update algorithm and modified variable more clearly
  * Contributors: Darby Lim, Gilbert, Louise Poubel, Pyo

 -- Will Son <willson@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (1.1.0-2focal) focal; urgency=high

  * modified uri path
  * modified autorace
  * delete remap
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (1.0.2-2focal) focal; urgency=high

  * added mission.launch modified model.sdf
  * deleted turtlebot3's gazebo plugins
  * modified autorace gazebo
  * merged pull request #53 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/53> #52 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/52> #51 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/51> #50 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/50> #49 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/49>
  * Contributors: Gilbert, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (1.0.1-2focal) focal; urgency=high

  * resolving dependency issues:
    http://build.ros.org/job/Kbin_dj_dJ64__turtlebot3_gazebo__debian_jessie_amd64__binary/2/
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 29 May 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (1.0.0-2focal) focal; urgency=high

  * added world for turtlebot3_autorace
  * added world for turtlebot3_machine_learning
  * merged pull request #46 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/46> from AuTURBO/develop
    add turtlebot3_autorace world'
  * merged pull request #48 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/48> #47 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/47> #44 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/44> #42 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/42> #41 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/41>
  * Contributors: Darby Lim, Gilbert, hyunoklee, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (0.2.4-2focal) focal; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (0.2.3-2focal) focal; urgency=high

  * solved DuplicateVersionsException error
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (0.2.2-2focal) focal; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (0.2.1-2focal) focal; urgency=high

  * added worlds for gazebo and turtlebot3
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-galactic-turtlebot3-gazebo (0.2.0-2focal) focal; urgency=high

  * added slam with multiple tb3
  * added multi example
  * added turtlebot3_house
  * modified cmake file
  * modified spwn model name


=== debian/control ===
Source: ros-galactic-turtlebot3-gazebo
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-gazebo-ros-pkgs, ros-galactic-geometry-msgs, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-galactic-turtlebot3-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-gazebo-ros-pkgs, ros-galactic-geometry-msgs, ros-galactic-nav-msgs, ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-ros-workspace
Description: Gazebo simulation package for the TurtleBot3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-turtlebot3-gazebo//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
